# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from make_automation import *
from user_mbs_iut_module import IUTClass
#-------------------------------------------------------------------------------
class make_7_3_2_24_15(MakeAutomation):
    scriptname = '''make_7_3_2_24_15'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        objType, instNum = self.private_dict['objID']


        if objType == objType_SN['trend-log']:

            # catching a MAKE with step 5 or 7 or 9
            if self.make_dict['msg'] == 5 or self.make_dict['msg'] == 7 or self.make_dict['msg'] == 9:

                self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step %d"%( self.make_dict['msg'] ) })
                myIUT = IUTClass(self.bac_handl, self.gcom, self.global_dict)


                LT = int( self.bac_handl.t_read_property(objType, instNum, propID_SN['Logging_Type']) )
                if LT != logging_type_SN['cov']:
                    self.gcom.commit(6,{'description':'%s,%d has invalid LoggingType %d'%( objType_NS[objType],instNum, LT) })
                    return {}


                self.gcom.commit(3, {"step":1,"descr":"Change Value to generate 1 record"})
                myIUT.generate_log_object_records(1, objType, instNum, 1)


                return {'answer':'1'}




        return {}
        # On Error: return -1 or raise Exception
        #       -> test will abort and fail
        #
        # On SUCCESS: return {'answer':'1'}
        #       -> test continues with success
        #
        # On FAILURE: return {'answer':'0'}
        #       -> test continues or aborts (depends on test)
        #
        # No SUCCESS or invalid Step-number: return {}
        #       -> MAKE will pop up for manual user interaction
        #

    #---------------------------------------------------------------------------
