# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from make_automation import *
from user_mbs_iut_module import IUTClass
#-------------------------------------------------------------------------------
class make_7_3_2_24_8(MakeAutomation):
    scriptname = '''make_7_3_2_24_8'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        objType, instNum = self.private_dict['objID']

        # catching a MAKE with step 3
        if self.make_dict['msg'] == 3:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step %d ..."%( self.make_dict['msg'] ) })
            self.gcom.commit(3, {"step":1,"descr":"Reading Log_Buffer" })
            #t_read_range(self, objID, propID, index, rangeType, range)
            self.bac_handl.t_read_range((objType, instNum), propID_SN['Log_Buffer'], -1, 0, -1)

            return {}


        # catching a MAKE with step 8
        if self.make_dict['msg'] == 8:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step %d ..."%( self.make_dict['msg'] ) })
            self.gcom.commit(3, {"step":1,"descr":"Reading Record_Count" })
            self.bac_handl.t_read_property(objType, instNum, propID_SN['Record_Count'])
            self.gcom.commit(3, {"step":2,"descr":"Reading Log_Buffer" })
            #t_read_range(self, objID, propID, index, rangeType, range)
            self.bac_handl.t_read_range((objType, instNum), propID_SN['Log_Buffer'], -1, 0, -1)

            return {}


        # catching a MAKE with step 13
        if self.make_dict['msg'] == 13:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step %d ..."%( self.make_dict['msg'] ) })
            self.gcom.commit(3, {"step":1,"descr":"Reading Record_Count" })
            self.bac_handl.t_read_property(objType, instNum, propID_SN['Record_Count'])
            self.gcom.commit(3, {"step":2,"descr":"Reading Log_Buffer" })
            #t_read_range(self, objID, propID, index, rangeType, range)
            self.bac_handl.t_read_range((objType, instNum), propID_SN['Log_Buffer'], -1, 0, -1)

            return {}



        return {}
        # On Error: return -1 or raise Exception
        #       -> test will abort and fail
        #
        # On SUCCESS: return {'answer':'1'}
        #       -> test continues with success
        #
        # On FAILURE: return {'answer':'0'}
        #       -> test continues or aborts (depends on test)
        #
        # No SUCCESS or invalid Step-number: return {}
        #       -> MAKE will pop up for manual user interaction
        #

    #---------------------------------------------------------------------------
