# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from make_automation import *
from user_mbs_iut_module import IUTClass
#-------------------------------------------------------------------------------
class make_mbs_7_3_2_24_3(MakeAutomation):
    scriptname = '''make_mbs_7_3_2_24_3'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        objType, instNum = self.private_dict['objID']


        # catching a MAKE with step 8 or 15
        if self.make_dict['msg'] == 8 or self.make_dict['msg'] == 15:

            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step %d ..."%( self.make_dict['msg'] ) })
            myIUT = IUTClass(self.bac_handl, self.gcom, self.global_dict)


            nCount = 1
            self.gcom.commit(3, {"step":1,"descr":"Generate %d Records"%( nCount ) })
            myIUT.generate_log_object_records(1, objType, instNum, nCount)


            return {'answer':'1'}





        return {}
        # On Error: return -1 or raise Exception
        #       -> test will abort and fail
        #
        # On SUCCESS: return {'answer':'1'}
        #       -> test continues with success
        #
        # On FAILURE: return {'answer':'0'}
        #       -> test continues or aborts (depends on test)
        #
        # No SUCCESS or invalid Step-number: return {}
        #       -> MAKE will pop up for manual user interaction
        #

    #---------------------------------------------------------------------------
